# DCC-Cogs
Discord Coding Community's list of Cogs for use with **RedBot**

## Installation

*This guide assumes that `[p]` stands for the bot prefix and that `[COG]` represents the cog of which you are installing..*



 1. Type `[p]repo add DCC-Cogs https://github.com/Discord-Coding-Community/DCC-Cogs` to add the repo to your instance of RedBot.
 2. Type `[p]cog install DCC-Cogs [COG]` to install the your chosen cog(s).
 3. Type `[p]load [COG]` to load the installed cog(s).



A list of available cogs can be found below:


| Name | Status | Description | Notes |
| -------- | -------- | -------- | -------- |
| NSFW | Functional | <details><summary>NSFW Commands.</summary><br />Type `[p]help NSFW` to see a full list of available sub commands.</details>  | <details><summary> **NSFW** Commands</summary><br />Requires **NSFW** Channels to use. Will **NOT** display or respond outside of **NSFW** channels.</details> |
| Karaoke | To Do | <details><summary> Karaoke commands.</summary><br />Type `[p]help Karaoke` for a list of available sub commands.</details> | <details><summary> Utility Commands</summary><br />Requires the **Audio** Cog to function.<br /><br />Currently Not Implemented. Need to build the sub commands and response functions.</details> |
| admintools | To Do | <details><summary> Additional commands to extend the Admin cog.</summary><br />Type `[p]help admintools` for a list of available sub commands.</details> | <details><summary> Administration Commands</summary><br />Requires the Core **Admin** cog to function.<br /><br />Currently Not Implemented. Need to build the sub commands and response functions.</details> |
| streamtools | To Do | <details><summary> Additional commands for the streams cog.</summary><br />Type `[p]help streamtools` for a list of available sub commands. | <details><summary> Utility Commands</summary><br />Requires the Core **Streams** cog to function.<br /><br />Currently Not Implemented. Need to build the sub commands and response functions.</details> |
| guildtools | To Do | <details><summary> Guild tools cog.</summary><br />Type `[p]help guildtools` for a list of available sub commands. | <details><summary> Utility Commands</summary><br />Currently Not Implemented. Need to build the sub commands and response functions.</details> |
| economytools | To Do | <details><summary> Expansion of the Core economy cog.</summary><br />Type `[p]help economytools` for a list of available sub commands. | <details><summary> Utility Commands</summary><br />Requires the Core **Economy** cog to function.<br /><br />Currently Not Implemented. Need to build the sub commands and response functions.</details> |


## Notes

<details> 
 <summary> Click to read more about Red Discord Bot </summary>
<h1 align="center">
  <br>
  <a href="https://github.com/Cog-Creators/Red-DiscordBot/tree/V3/develop"><img src="https://imgur.com/pY1WUFX.png" alt="Red - Discord Bot"></a>
  <br>
  Red Discord Bot
  <br>
</h1>

<h4 align="center">Music, Moderation, Trivia, Stream Alerts and Fully Modular.</h4>

<p align="center">
  <a href="https://discord.gg/red">
    <img src="https://discordapp.com/api/guilds/133049272517001216/widget.png?style=shield" alt="Discord Server">
  </a>
  <a href="https://pypi.org/project/Red-DiscordBot/">
     <img alt="PyPI" src="https://img.shields.io/pypi/v/Red-Discordbot">
  </a>
  <a href="https://www.python.org/downloads/">
    <img alt="PyPI - Python Version" src="https://img.shields.io/pypi/pyversions/Red-Discordbot">
  </a>
  <a href="https://github.com/Rapptz/discord.py/">
     <img src="https://img.shields.io/badge/discord-py-blue.svg" alt="discord.py">
  </a>
  <a href="https://www.patreon.com/Red_Devs">
    <img src="https://img.shields.io/badge/Support-Red!-red.svg" alt="Support Red on Patreon!">
  </a>
</p>
<p align="center">
  <a href="https://github.com/Cog-Creators/Red-DiscordBot/actions">
    <img src="https://img.shields.io/github/workflow/status/Cog-Creators/Red-Discordbot/Tests?label=tests" alt="GitHub Actions">
  </a>
  <a href="http://red-discordbot.readthedocs.io/en/stable/?badge=stable">
    <img src="https://readthedocs.org/projects/red-discordbot/badge/?version=stable" alt="Red on readthedocs.org">
  </a>
  <a href="https://github.com/psf/black">
    <img src="https://img.shields.io/badge/code%20style-black-000000.svg" alt="Code Style: Black">
  </a>
  <a href="http://makeapullrequest.com">
    <img src="https://img.shields.io/badge/PRs-welcome-brightgreen.svg">
  </a>
  <a href="https://crowdin.com/project/red-discordbot">
    <img src="https://d322cqt584bo4o.cloudfront.net/red-discordbot/localized.svg" alt="Localized with Crowdin">
  </a>
</p>

<p align="center">
  <a href="#overview">Overview</a>
  •
  <a href="#installation">Installation</a>
  •
  <a href="http://red-discordbot.readthedocs.io/en/stable/index.html">Documentation</a>
  •
  <a href="#plugins">Plugins</a>
  •
  <a href="#join-the-community">Community</a>
  •
  <a href="#license">License</a>
</p>

# Overview

Red is a fully modular bot – meaning all features and commands can be enabled/disabled to your
liking, making it completely customizable. This is a *self-hosted bot* – meaning you will need
to host and maintain your own instance. You can turn Red into an admin bot, music bot, trivia bot,
new best friend or all of these together!  

[Installation](#installation) is easy, and you do **NOT** need to know anything about coding! Aside
from installing and updating, every part of the bot can be controlled from within Discord.

**The default set of modules includes and is not limited to:**

- Moderation features (kick/ban/softban/hackban, mod-log, filter, chat cleanup)
- Trivia (lists are included and can be easily added)
- Music features (YouTube, SoundCloud, local files, playlists, queues)
- Stream alerts (Twitch, Youtube, Picarto)
- Bank (slot machine, user credits)
- Custom commands
- Imgur/gif search
- Admin automation (self-role assignment, cross-server announcements, mod-mail reports)
- Customisable command permissions

**Additionally, other [plugins](#plugins) (cogs) can be easily found and added from our growing
community of cog repositories.**

# Installation

**The following platforms are officially supported:** 

- [Windows](https://red-discordbot.readthedocs.io/en/stable/install_windows.html)
- [MacOS](https://red-discordbot.readthedocs.io/en/stable/install_linux_mac.html)
- [Most major linux distributions](https://red-discordbot.readthedocs.io/en/stable/install_linux_mac.html)

If after reading the guide you are still experiencing issues, feel free to join the
[Official Discord Server](https://discord.gg/red) and ask in the **#support** channel for help.

# Plugins

Red is fully modular, allowing you to load and unload plugins of your choice, and install 3rd party
plugins directly from Discord! A few examples are:

- Cleverbot integration (talk to Red and she talks back)
- Ban sync
- Welcome messages
- Casino
- Reaction roles
- Slow Mode
- AniList
- And much, much more!

Feel free to take a [peek](https://index.discord.red) at a list of
available 3rd party cogs!

# Join the community!

**Red** is in continuous development, and it’s supported by an active community which produces new
content (cogs/plugins) for everyone to enjoy. New features are constantly added. If you can’t
[find](https://cogboard.red/t/approved-repositories/210) the cog you’re looking for,
consult our [guide](https://red-discordbot.readthedocs.io/en/stable/guide_cog_creation.html) on
building your own cogs!

Join us on our [Official Discord Server](https://discord.gg/red)!

# License

Released under the [GNU GPL v3](https://www.gnu.org/licenses/gpl-3.0.en.html) license.

Red is named after the main character of "Transistor", a video game by
[Super Giant Games](https://www.supergiantgames.com/games/transistor/).

Artwork created by [Sinlaire](https://sinlaire.deviantart.com/) on Deviant Art for the Red Discord
Bot Project.

This project vendors [discord.ext.menus](https://github.com/Rapptz/discord-ext-menus) package made by Danny Y. (Rapptz) which is distributed under MIT License.
A copy of this license can be found in the [discord-ext-menus.LICENSE](redbot/vendored/discord-ext-menus.LICENSE) file in the [redbot/vendored](redbot/vendored) folder of the official [Red-DiscordBot](https://github.com/Cog-Creators/Red-DiscordBot) repository.
</details>
